Bug 25838 - installer locks up
installer locks up
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 23:19 EST by Brian Schmidt
Modified: 2007-04-18 12:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 02:53:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Schmidt 2001-02-02 23:19:12 EST
I attempted to install Fisher today from the *.iso files I downloaded for the first 2 discs.  I ran an md5sum on them and they both checked out, 
so they are not corrupted.  I burned them each onto a CD.  I am booting from the CD-ROM to begin the installation.  Everything loads up fine 
initially and I'm presented with the menu asking me to begin the installation.  My first attempt was just using the default (by pressing 'Enter').  
It begins normally and all scrolls by and it gets down to the last part, where it says 'running /sbin/loader' and a blue screen comes up.  And it 
completely locks up the system.  I have to hit the reset button.  I let it go a couple of times for about 15-20 minutes per try and it never went 
past that.  I tried all of the options - 'lowres', 'nofb', and 'text' and those all end exactly the same - it hits the 'running /sbin/loader' portion, the 
screen turns blue, and it hangs.  I gave each of these methods about 15-20 apiece and none of them ever progressed.  I then tried to use the 
'expert' install.  That one brought up the initial few questions, such as asking about language, keyboard, and if I have any drivers to load.  Once 
all of those questions are asked, the blue screen comes up, says 'running anaconda - please wait' and it too just hangs up completely.  I gave 
that one about 20-30 minutes and it never progressed.  I'm running on an AMD Athlon T-bird 1GHz, Abit KT7 mobo, 256MB SDRAM, true 
CD-ROM, IDE hard drives, Creative Labs TNT2 32MB AGP video card, SB Live sound card, KDS Trinitron monitor, PS/2 keyboard, USB MS 
mouse with USB to PS/2 adapter to attach to the PS/2 mouse port.  I currently have the 7.0 version of Red Hat installed on this machine and 
did not encounter any problems at all with its installation.
Comment 1 Panic 2001-02-06 13:14:25 EST
Try booting with:

linux nousb

This seems very similar to Bug #19624.
Comment 2 Brian Schmidt 2001-02-07 01:25:34 EST
I gave it a shot with the nousb option.  I'm not sure if this is any better or worse than before, but the end result is that this did not seem to resolve the 
issue either.  After using the nousb option, it loads up the beginning as before, got me to the blue screen, and then this came shortly thereafter:

Running anaconda - please wait...
exec: Exec format error
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
     /mnt/runtime
     /mnt/source umount failed (16)
     /dev/pts
     /proc
you may safely reboot your system

I gave this a couple of shots and kept getting this same occurrence.
Comment 3 Panic 2001-02-07 15:02:51 EST
Are you installing from a CD-R, CD-RW, or DVD?

I did some research here on a machine that has similar symptoms (locks at
/sbin/loader) and discovered that the machine hard locks upon the loading of the
ide-cd.o module (from VT3) with an "Unable to identify CD-ROM format" error
(from VT4).  This machine has an HP CDWriter Plus 9500 CD-RW drive as its main
CD drive.  The only way to see this was to attempt an NFS install, so that one
can get VT3 and VT4 operational before ide-cd.o is installed.  This machine
(installed with RHL7) also locks up when you try to insert the ide-scsi module. 
The only difference between the machine here and your issue is that I never make
it past the "/sbin/loader" statement -- no blue screen, no "Running
Anaconda...", nothing like that -- maybe a permutation of the same thing?

Can you run through the expert install (without the nousb option) and report
what it says on VT3 and VT4?  With the nousb option?  Thanks.
Comment 4 Brian Schmidt 2001-02-08 02:53:36 EST
I tested what you had written about and saw something similar.  However, I am not using a CD-RW as my drive.  It's a true 
CD-ROM (Kenwood).
Following are the outputs of the 'expert' and 'expert nousb' options from VT3 and VT4:

__________________
__VT3 - 'expert'__:
* going to insmod cdrom.o (path is NULL)
* going to insmod ide-cd.o (path is NULL)
* going to insmod scsi_mod.o (path is NULL)
* going to insmod sd_mod.o (path is NULL)
* going to insmod sr_mod.o (path is NULL)
* looking for usb controllers
* found USB controller usb-uhci
* going to insmod usbcore.o (path is NULL)
* going to insmod usb-uhci.o (path is NULL)
* going to insmod input.o (path is NULL)
* going to insmod hid.o (path is NULL)
* going to insmod keybdev.o (path is NULL)
* probing for ide floppies
* no ide floppy devices found
* looking for video cards requiring agppart module
* found video card controller unknown
* in startPcmcia()
* pcmcia probe returned: |PCI bridge probe: not found.
Intel PCIC probe: not found.
Databook TCIC-2 probe: not found.
|
* no pcic controller found
* 127 keymaps are available
* loaded 9 keymap tables
* trying to mount device hdc
* loopfd is 7
* got url cdrom://hdc/mnt/source
* getting ready to spawn shell now
* exec of /bin/sh failed: Exec format error
* going to insmod raid0.o (path is NULL)
* going to insmod raid1.o (path is NULL)
* going to insmod xor.o (path is NULL)
* going to insmod raid5.o (path is NULL)
* going to insmod fat.o (path is NULL)
* going to insmod msdos.o (path is NULL)
* going to insmod vfat.o (path is NULL)
* going to insmod ext3.o (path is NULL)
* looking for USB mouse...

__________________
__VT4 - 'expert'__:
<4>PCI: Found IRQ 5 for device 00:07.3
<4>PCI: The same IRQ used for device 00:07.2
<6>usb-uhci.c: USB UHCI at I/O 0xd800, IRQ 5
<4>usb-uhci.c: Detected 2 ports
<6>hub.c: USB new device connect on bus1/1, assigned device number 2
<6>usb.c: new USB bus registered, assigned bus number 2
<4>usb.c: USB device 2 (vend/prod 0x59b/0x30) is not claimed by any active driver.
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>hub.c: USB new device connect on bus1/2, assigned device number 4
<4>usb.c: USB device 4 (vend/prod 0x55aa/0x1234) is not claimed by any active driver.
<6>hub.c: USB new device connect on bus2/1, assigned device number 5
<4>usb.c: USB device 5 (vend/prod 0x545/0x8080) is not claimed by any active driver.
<6>hub.c: USB new device connect on bus2/2, assigned device number 6
<6>usb.c: registered new driver hid
<6>hub.c: USB hub found
<6>hub.c: 4 ports detected
<4>usb-uhci.c: interrupt, status 3, frame# 451
<6>hub.c: USB new device connect on bus 2/2/3, assigned device number 7
<4>usb.c: USB device 7 (vend/prod 0x4a9/0x2202) is not claimed by any active driver.
<7>VFS: Disk change detected on device ide1(22,0)
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>ide_dmaproc: chipset supported ide_dma_lostirq func only: 13
<4>hdc: lost interrupt
<6>raid0 personality registered
<6>raid1 personality registered
<4>	8regs	:	1526.400 MB/sec
<4>	32regs	:	992.800 MB/sec
<4>	pII_mmx	:	2340.400 MB/sec
<4>	p5_mmx	:	2986.000 MB/sec
<4>raid5: using function: p5_mmx (2986.000 MB/sec)
<6>raid5: personality registered
<4>usb_control/bulk_msg: timeout
<4>usb_control/bulk_msg: timeout
<4>hdc: cdrom_decode_status: status=0x51 { DriveReady SeekCompute Error }
<4>hdc: cdrom_decode_status: error=0x34 { DriveReady SeekCompute Error }
<4>hdc: cdrom_decode_status: status=0x51 { DriveReady SeekCompute Error }
<4>hdc: cdrom_decode_status: error=0x34 { DriveReady SeekCompute Error }
<4>ide_dmaproc: chipset supported ide_dma_lostirq func only: 13
<4>hdc: lost interrupt
<4>hdc: cdrom_decode_status: status=0x51 { DriveReady SeekCompute Error }
<4>hdc: cdrom_decode_status: error=0x34 { DriveReady SeekCompute Error }

________________________
__VT3 - 'expert nousb'__:
* going to insmod cdrom.o (path is NULL)
* going to insmod ide-cd.o (path is NULL)
* going to insmod scsi_mod.o (path is NULL)
* going to insmod sd_mod.o (path is NULL)
* going to insmod sr_mod.o (path is NULL)
* probing for ide floppies
* no ide floppy devices found
* looking for video cards requiring agppart module
* found video card controller unknown
* 127 keymaps are available
* loaded 9 keymap tables
* trying to mount device hdc
* loopfd is 7
* got url cdrom://hdc/mnt/source
* getting ready to spawn shell now
* exec of /bin/sh failed: Exec format error
* going to insmod raid0.o (path is NULL)
* going to insmod raid1.o (path is NULL)
* going to insmod xor.o (path is NULL)
* going to insmod raid5.o (path is NULL)
* going to insmod fat.o (path is NULL)
* going to insmod msdos.o (path is NULL)
* going to insmod vfat.o (path is NULL)
* going to insmod ext3.o (path is NULL)

________________________
__VT4 - 'expert nousb'__:
<6>hdd: hdd1
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>LVM version 0.9 by Heinz Mandelshagen (13/11/2000)
<4>lvm -- Driver successfully initialized
<5>RAMDISK: compressed image found at block 0
<4>Freeing initrd memory: 1786k freed
<6>Serial driver version 5.02 (2000-08-09) with MANY_PORTS SHAPE_IRQ SERIAL_PCI enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS01 at 0x02f8 (irq = 3) is a 16550A
<6>atp.c:v1.09 8/9/2000 Donald Becker <becker@scyld.com>
<6>	http://www.scyld.com/network/atp.html
<6>md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<4>md.c: sizeof(mdp_super_t) = 4096
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache has table of 2048 buckets, 16Kbytes
<4>TCP: Hash tables configured (established 16384 bin 16384)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0
<4>VFS: Mounted root (ext2 filesystem).
<4>hdc: ATAPI 68X CD-ROM drive, 512kB Cache, UDMA(33)
<6>Uniform CD-ROM driver Revision: 3.12
<6>SCSI subsystem driver Revision: 1.00
<7>VFS: Disk change detected on device ide1(22,0)
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<6>raid0 personality registered
<6>raid1 personality registered
<4>	8regs	:	1527.200 MB/sec
<4>	32regs	:	993.200 MB/sec
<4>	pII_mmx	:	2340.400 MB/sec
<4>	p5_mmx	:	2986.400 MB/sec
<4>raid5: using function: p5_mmx (2986.400 MB/sec)
<6>raid5: personality registered
Comment 5 Michael Fulbright 2001-02-12 13:44:45 EST
Your CD is bad, as per the read errors in the log you posted.
Comment 6 Brian Schmidt 2001-02-20 00:39:33 EST
I ran a check on both of my CD's and I'm not sure if they're actually corrupted, as we previously thought.  Here's what I ran on the discs (please correct 
me if this method of checking the recorded CD's is flawed):

[root@clown /root]# dd if=/dev/cdrom bs=2048 count=332620 | md5sum
332620+0 records in 
332620+0 records out
672ad373609f79fd108ebe8f09e185ef  -
[root@clown /root]# dd if=/dev/cdrom bs=2048 count=305835 | md5sum
305835+0 records in
305835+0 records out
1f93d2644078cbd73ac4646e4cd6a409  -

Both of these match the MD5SUM file from the server.
Comment 7 Geir Thomassen 2001-05-08 07:08:35 EDT
I had exactly the same problem (blue screen after X startup, hanging).

Booting with "linux ide=nodma" solved the problem.

My hardware:

Main board: Asus CUSL2-C
/dev/hda:   IBM DTLA-307045         (45 GB HDD)
/dev/hdc:   SAMSUNG CD-R/RW SW-408B (CD WRITER)


Note You need to log in before you can comment on or make changes to this bug.